aboutsummaryrefslogtreecommitdiff
path: root/package/ipsec-tools
diff options
context:
space:
mode:
authorGravatar Thomas Petazzoni <thomas.petazzoni@free-electrons.com>2014-05-20 23:32:40 +0200
committerGravatar Peter Korsgaard <peter@korsgaard.com>2014-05-20 23:51:25 +0200
commit1698bbe49ffc2874afcdd855a97ac6468bd2814b (patch)
tree78f3bfb1cf1116ce54114c017e1f26a0fa478d22 /package/ipsec-tools
parent39b926d968647e1a6e5c5556e9e4175806dc9c5a (diff)
downloadbuildroot-1698bbe49ffc2874afcdd855a97ac6468bd2814b.tar.gz
buildroot-1698bbe49ffc2874afcdd855a97ac6468bd2814b.tar.bz2
ipsec-tools: needs MMU support
ipsec-tools currently fails to build for Blackfin due to GLOB_TILDE not being supported in Blackfin external toolchains. However, after fixing this problem (which will be fixed in later versions of the Blackfin external toolchains) allows to discover that ipsec-tools uses fork() anyway. Therefore, this patch simply marks ipsec-tools as not available on non-MMU systems. Consequently, it fixes: http://autobuild.buildroot.org/results/fc4/fc4ef4101a20e64eb52da56557d6996dd73b3d86/ Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
Diffstat (limited to 'package/ipsec-tools')
-rw-r--r--package/ipsec-tools/Config.in1
1 files changed, 1 insertions, 0 deletions
diff --git a/package/ipsec-tools/Config.in b/package/ipsec-tools/Config.in
index 57fa5d49f1..a0d7600258 100644
--- a/package/ipsec-tools/Config.in
+++ b/package/ipsec-tools/Config.in
@@ -2,6 +2,7 @@ config BR2_PACKAGE_IPSEC_TOOLS
bool "ipsec-tools"
select BR2_PACKAGE_OPENSSL
select BR2_PACKAGE_FLEX
+ depends on BR2_USE_MMU # fork()
help
This package is required to support IPSec for Linux 2.6+